当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu的升级bug
帖子发表于 : 2007-11-28 22:33 

注册: 2007-11-15 10:46
帖子: 26
送出感谢: 0 次
接收感谢: 0 次
今天新装了系统,进行升级的时候发现一个问题:
执行sudo apt-get update完成后,执行sudo apt-get upgrade。因为默认的升级服务器太慢,我想换欧洲官方服务器。所以就用ctrl+c中止了升级进程,结果总是出来了

重新执行sudo apt-get upgrade,显示没有需要升级的包!!
于是重新执行sudo apt-get update,然后再执行sudo apt-get upgrade,这时候却显示只有一个包需要升级!
而我是在下载第一个升级包的时候结束的升级操作,也就是那些包根本就没有下载下来,也就更不可能安装了

我就大胆的猜测,是不是在执行sudo apt-get upgrade的时候,在下载之前就已经更新数据库了?
而后来升级的那个包估计是正在我两次操作之间官方刚更新的一个包吧


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-11-28 22:37 

注册: 2007-01-21 16:33
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
更改别的源试试


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ubuntu的升级bug
帖子发表于 : 2007-11-29 19:37 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
yslue 写道:
今天新装了系统,进行升级的时候发现一个问题:
执行sudo apt-get update完成后,执行sudo apt-get upgrade。因为默认的升级服务器太慢,我想换欧洲官方服务器。所以就用ctrl+c中止了升级进程,结果总是出来了

这个没什么问题,也没什么说的。

yslue 写道:
重新执行sudo apt-get upgrade,显示没有需要升级的包!!
于是重新执行sudo apt-get update,然后再执行sudo apt-get upgrade,这时候却显示只有一个包需要升级!
而我是在下载第一个升级包的时候结束的升级操作,也就是那些包根本就没有下载下来,也就更不可能安装了

换源后必须执行 update, 看来你没意识到这一点。不知道你换的是不是官方源,不是的话,换个源重新试试

yslue 写道:
我就大胆的猜测,是不是在执行sudo apt-get upgrade的时候,在下载之前就已经更新数据库了?
而后来升级的那个包估计是正在我两次操作之间官方刚更新的一个包吧

这个猜测不成立。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
cron
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译